Add support for lts-xenial kernel flavours in trusty

Bug #1568918 reported by Scott Moser on 2016-04-11
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu CD Images
Undecided
Adam Conrad
maas-images
Medium
Scott Moser
debian-installer (Ubuntu)
Undecided
Adam Conrad
Trusty
Undecided
Adam Conrad
livecd-rootfs (Ubuntu)
Undecided
Adam Conrad
Trusty
Undecided
Adam Conrad

Bug Description

Subject says it all. We need d-i to support installing the lts-xenial kernel, as we did with the lts backports in precise.

Test-case would be to try the xenial-* installers to make sure they install the right kernel (and at all!), and to test the non-vivid variants to make sure they didn't regress in installing the proper kernels.

Related bugs:
 * bug 1524366: Add support for lts-wily kernel flavours in trusty
 * bug 1511497: [maas] No hwe-w kernel for 14.04

Related branches

Scott Moser (smoser) on 2016-04-11
Changed in ubuntu-cdimage:
status: New → Confirmed
Changed in maas-images:
status: New → Confirmed
Changed in debian-installer (Ubuntu):
status: New → Confirmed
Changed in debian-installer (Ubuntu Trusty):
status: New → Confirmed
Changed in livecd-rootfs (Ubuntu):
status: New → Confirmed
Changed in livecd-rootfs (Ubuntu Trusty):
status: New → Confirmed
Scott Moser (smoser) wrote :

The linked branch lp:~smoser/maas-images/trunk.hwe-x does the needed config changes in maas-images.
You can build your own maas-images and point your maas at fairly easily.
To build:
  # prep system for building
  bzr branch lp:~smoser/maas-images/trunk.hwe-x
  cd trunk.hwe-x
  ./system-setup

  # build for specific arch / release
  burl=http://cloud-images.ubuntu.com/daily/server/
  arch="amd64"
  rel=trusty
  serial=$(date --utc "+%Y%m%d")
  meph2-build amd64 trusty $serial $burl/$rel/current/$rel-server-cloudimg-$arch-root.tar.xz $rel-$arch-output.d

given the above, you'll then have a directory named
  trusty-amd64-output.d/

And you can point maas at that as ephemeral image source. Note, because it is not signed, you have to provide the full path to the index.json file (<PATH>/streams/v1/index.json). I'm not sure off the top of my head how maas merges multiple streams or what happens with that, but this *will* produce a stream with trusty and hwe-x kernels.

Steve Langasek (vorlon) on 2016-04-11
Changed in debian-installer (Ubuntu):
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)
Changed in debian-installer (Ubuntu Trusty):
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)
Changed in livecd-rootfs (Ubuntu):
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)
Changed in livecd-rootfs (Ubuntu Trusty):
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)
Scott Moser (smoser) on 2016-04-21
Changed in maas-images:
importance: Undecided → Medium
Adam Conrad (adconrad) on 2016-05-02
Changed in debian-installer (Ubuntu):
assignee: Mathieu Trudel-Lapierre (cyphermox) → Adam Conrad (adconrad)
Changed in debian-installer (Ubuntu Trusty):
assignee: Mathieu Trudel-Lapierre (cyphermox) → Adam Conrad (adconrad)
Changed in debian-installer (Ubuntu):
status: Confirmed → Invalid
Changed in debian-installer (Ubuntu Trusty):
status: Confirmed → In Progress

Hello Scott, or anyone else affected,

Accepted debian-installer into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/debian-installer/20101020ubuntu318.38 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in debian-installer (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Adam Conrad (adconrad) on 2016-05-02
Changed in ubuntu-cdimage:
status: Confirmed → Fix Released
Changed in livecd-rootfs (Ubuntu):
status: Confirmed → Invalid
Changed in ubuntu-cdimage:
assignee: nobody → Adam Conrad (adconrad)
Scott Moser (smoser) wrote :

See the attached file, I've tested the current (20101020ubuntu318.38) kernel and initramfs to do network based preseeded install on i386, x86_64 and ppc64el.

The file shows how I did that and verified that it worked and installed the proper kernel.

Scott Moser (smoser) wrote :
Scott Moser (smoser) wrote :

verified amd64 trusty daily from 20160510
$ arch=amd64
$ burl=http://cdimage.ubuntu.com/ubuntu-server/trusty/daily/20160510/
$ wget "$burl/trusty-server-$arch.iso"

$ md5sum trusty-server-$arch.iso
40374d161b58d72001776f99b3b9fb44 trusty-server-amd64.iso

$ qemu-img create -f qcow2 $arch-iso-disk.img 4G
$ qemu-system-x86_64 -enable-kvm -m 1024 -vnc :8 \
   -device virtio-net-pci,netdev=net00 -netdev type=user,id=net00 \
   -drive if=virtio,file=$arch-iso-disk.img,cache=unsafe \
   -cdrom trusty-server-$arch.iso -no-reboot

## navigated through curses install over vnc, picking picking default
## wherever possible. system shut down after install, then

$ mv $arch-iso-disk.img $arch-iso-disk.img.pristine
$ chmod ugo-w $arch-iso-disk.img.pristine
$ qemu-img create -f qcow2 -b $arch-iso-disk.img.pristine $arch-iso-disk.img
$ qemu-system-x86_64 -enable-kvm -m 1024 -vnc :8 \
   -device virtio-net-pci,netdev=net00 -netdev type=user,id=net00 \
   -drive if=virtio,file=$arch-iso-disk.img,cache=unsafe

$ uname -a
Linux ubuntu 4.4.0-22-generic #39~14.04.1-Ubuntu SMP Thu May 5 19:19:06 UTC 2016 x86_64 x86_64 x86_64 GNU
/Linux
$ uname -r
4.4.0-22-generic
$ lsb_release -sc
trusty
$ dpkg -S /boot/vmlinu?-$(uname -r)
linux-image-4.4.0-22-generic: /boot/vmlinuz-4.4.0-22-generic

Scott Moser (smoser) wrote :

booted
40374d161b58d72001776f99b3b9fb44 trusty-server-amd64.iso

$ qemu-img create -f qcow2 $arch-iso-disk.img 4G
$ qemu-system-x86_64 -enable-kvm -m 1024 -vnc :8 \
   -device virtio-net-pci,netdev=net00 -netdev type=user,id=net00 \
   -drive if=virtio,file=$arch-iso-disk.img,cache=unsafe \
   -cdrom trusty-server-$arch.iso -no-reboot
,
hit 'go back', then 'Execute a shell',
then
~ # uname -r
4.4.0-21-generic

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu318.38

---------------
debian-installer (20101020ubuntu318.38) trusty; urgency=medium

  * Enable lts-xenial builds (LP: #1568918)
  * Move master kernels to 3.13.0-85.
  * Move keystone kernels to 3.13.0-55.
  * Move lts-utopic kernels to 3.16.0-70.
  * Move lts-vivid kernels to 3.19.0-58.
  * Move lts-wily kernels to 4.2.0-35.
  * Move lts-xenial kernels to 4.4.0-21.
  * Bump FLOPPY_SIZE to xenial sizes + 3MB.

 -- Adam Conrad <email address hidden> Mon, 02 May 2016 08:22:08 -0600

Changed in debian-installer (Ubuntu Trusty):
status: Fix Committed → Fix Released
Scott Moser (smoser) wrote :

maas-images now should be including d-i kernel/initramfs and producing hwe-x kernel/initramfs for 14.04.
Any trusty builds newer than 20160511 would be expected to have them.

Changed in maas-images:
assignee: nobody → Scott Moser (smoser)
status: Confirmed → Fix Committed
Scott Moser (smoser) wrote :

builds of trusty are at http://images.maas.io/ephemeral-v2/daily/ now versioned with 20160509.1 . that has d-i and boot kernel/initramfs for hwe-w.

I'd just leave this fix-committed until we have one in the release stream.

Adam Conrad (adconrad) wrote :

livecd-rootfs changes have been tested and compared in a PPA. Will re-compared after the SRU is in.

Adam Conrad (adconrad) on 2016-07-25
Changed in livecd-rootfs (Ubuntu):
assignee: Mathieu Trudel-Lapierre (cyphermox) → Adam Conrad (adconrad)
Changed in livecd-rootfs (Ubuntu Trusty):
assignee: Mathieu Trudel-Lapierre (cyphermox) → Adam Conrad (adconrad)
Brian Murray (brian-murray) wrote :

Hello Scott, or anyone else affected,

Accepted livecd-rootfs into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/livecd-rootfs/2.208.13 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in livecd-rootfs (Ubuntu Trusty):
status: Confirmed → Fix Committed
Adam Conrad (adconrad) wrote :

Daily live images look correct, marking v-done.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package livecd-rootfs - 2.208.13

---------------
livecd-rootfs (2.208.13) trusty; urgency=medium

  * live-build/auto/config: Switch HWE from wily to xenial (LP: #1568918)

 -- Adam Conrad <email address hidden> Fri, 08 Jul 2016 02:13:52 -0600

Changed in livecd-rootfs (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for livecd-rootfs has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Changed in maas-images:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers